HttpResponse::getCacheControl
HttpResponse::getContentType
HttpResponse
PHP Manual

# HttpResponse::getContentDisposition

(PECL pecl_http >= 0.10.0)

HttpResponse::getContentDisposition — Get content disposition

### Description

static string HttpResponse::getContentDisposition ( void )

Get current Content-Disposition setting.

### Return Values

Returns the current content disposition as string like sent in a header.

### See Also

- HttpResponse::setContentDisposition() - Set content disposition
- HttpResponse::getContentType() - Get content type
- HttpResponse::setContentType() - Set content type

HttpResponse::getCacheControl
HttpResponse::getContentType
HttpResponse
PHP Manual